ToolzerHub Docs

Get artist stats (v1)

Returns an artist's monthly listeners, followers, top listener cities, top tracks with play counts, latest and popular releases, related artists, biography and social links. data is null when the artist does not exist.

1 credit / requestBilled only on success
GET
/v1/spotify/artist

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

artist_id_or_url*string

The artist's open.spotify.com link, its spotify:artist: URI, or its 22-character ID (the id in a search result), such as 0gxyHStUsqpMadRV0Di1Qt.

Lengthlength <= 1000
curl -X GET "https://example.com/v1/spotify/artist?artist_id_or_url=https%3A%2F%2Fopen.spotify.com%2Fartist%2F0gxyHStUsqpMadRV0Di1Qt" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "id": "0gxyHStUsqpMadRV0Di1Qt",    "uri": "spotify:artist:0gxyHStUsqpMadRV0Di1Qt",    "url": "https://open.spotify.com/artist/0gxyHStUsqpMadRV0Di1Qt",    "name": "Rick Astley",    "verified": true,    "monthly_listeners": 8577703,    "followers": 1631120,    "world_rank": null,    "biography": "It’s one of contemporary music’s most unlikely tales…",    "image_url": "https://i.scdn.co/image/ab6761610000e5eb854861dff9a24a1ed3dfdc7d",    "header_image_url": "https://image-cdn-ak.spotifycdn.com/image/ab676186000001941c3a6e7e0cc5ec4e130bbdef",    "top_cities": [      {        "city": "Mexico City",        "region": "CMX",        "country": "MX",        "listeners": 196731      }    ],    "top_tracks": [      {        "id": "4cOdK2wGLETKBW3PvgPWqT",        "uri": "spotify:track:4cOdK2wGLETKBW3PvgPWqT",        "url": "https://open.spotify.com/track/4cOdK2wGLETKBW3PvgPWqT",        "name": "Never Gonna Give You Up",        "duration_ms": 213573,        "explicit": false,        "playable": true,        "artists": [          {            "id": "0gxyHStUsqpMadRV0Di1Qt",            "name": "Rick Astley",            "uri": "spotify:artist:0gxyHStUsqpMadRV0Di1Qt"          }        ],        "playcount": 1200207819,        "album": {          "id": "5Z9iiGl2FcIfa3BMiv6OIw",          "name": "Whenever You Need Somebody",          "uri": "spotify:album:5Z9iiGl2FcIfa3BMiv6OIw",          "image_url": "https://i.scdn.co/image/ab67616d0000b273baf89eb11ec7c657805d2da0"        }      }    ],    "latest_release": {      "id": "4C4LvbYS0pxXLW5sGD9EK5",      "uri": "spotify:album:4C4LvbYS0pxXLW5sGD9EK5",      "url": "https://open.spotify.com/album/4C4LvbYS0pxXLW5sGD9EK5",      "name": "Whenever You Need Somebody (Deluxe Edition - 2022 Remaster)",      "type": "ALBUM",      "release_date": "1987-11-12",      "label": "BMG Rights Management (UK) Ltd.",      "total_tracks": 40,      "image_url": "https://i.scdn.co/image/ab67616d0000b2733a67639779ccabd632e1a80e"    },    "popular_releases": [      {        "id": "4C4LvbYS0pxXLW5sGD9EK5",        "uri": "spotify:album:4C4LvbYS0pxXLW5sGD9EK5",        "url": "https://open.spotify.com/album/4C4LvbYS0pxXLW5sGD9EK5",        "name": "Whenever You Need Somebody (Deluxe Edition - 2022 Remaster)",        "type": "ALBUM",        "release_date": "1987-11-12",        "label": "BMG Rights Management (UK) Ltd.",        "total_tracks": 40,        "image_url": "https://i.scdn.co/image/ab67616d0000b2733a67639779ccabd632e1a80e"      }    ],    "release_counts": {      "albums": 12,      "singles": 44,      "compilations": 3    },    "related_artists": [      {        "id": "0gxyHStUsqpMadRV0Di1Qt",        "name": "Rick Astley",        "uri": "spotify:artist:0gxyHStUsqpMadRV0Di1Qt",        "image_url": "https://i.scdn.co/image/ab6761610000e5eb854861dff9a24a1ed3dfdc7d"      }    ],    "external_links": [      {        "name": "INSTAGRAM",        "url": "https://instagram.com/officialrickastley"      }    ]  },  "details": {    "reason": "string",    "message": "string"  }}